dlg_filepicker.c File Reference

Main Page Modules Alphabetical List Compound List File List Compound Members File Members

# /home/micah/picogui/pg1/client/c/src/dlg_filepicker.c File Reference

`#include "clientlib.h"`
`#include <string.h>`
`#include <stdlib.h>`
`#include <sys/types.h>`
`#include <dirent.h>`
`#include <sys/stat.h>`
`#include <unistd.h>`
`#include <errno.h>`
`#include <ctype.h>`

## Compounds
struct | filenode
struct | filepickdata
## Defines
#define | FILEMAX 512
#define | NAMEMAX 80
#define | FILETAG 0x19840713
## Functions
int | filepicker_filter (struct filepickdata *dat, const char *name, struct stat *st)
void | filepicker_fullpath (const char *file)
void | filepicker_setdir (struct filepickdata *dat)
int | filepicker_compare (const void *a, const void *b)
void | filepicker_pathmenu (struct filepickdata *dat)
const char * | pgFilePicker (pgfilter filefilter, const char *pattern, const char *deffile, int flags, const char *title)
| Select a file to load or save.
## Variables
char | filepicker_dir [FILEMAX]
char | filepicker_buf [FILEMAX]

## Define Documentation

#define FILEMAX 512

#define FILETAG 0x19840713

#define NAMEMAX 80

## Function Documentation

int filepicker_compare | ( | const void * | a,
|  | const void * | b
| ) |

int filepicker_filter | ( | struct filepickdata * | dat,
|  | const char * | name,
|  | struct stat * | st
| ) |

void filepicker_fullpath | ( | const char * | file | ) |

void filepicker_pathmenu | ( | struct filepickdata * | dat | ) |

void filepicker_setdir | ( | struct filepickdata * | dat | ) |

const char* pgFilePicker | ( | pgfilter | filefilter,
|  | const char * | pattern,
|  | const char * | deffile,
|  | int | flags,
|  | const char * | title
| ) |

  | Select a file to load or save. Parameters:
  filefilter | An optional function to filter the displayed files
  pattern | This parameter is passed to the filter function
  deffile | An optional default file name
  flags | PG_FILE_* flags to control the dialog's operation
  title | The title string displayed across the dialog's top
Returns: A fully qualified path name for the selected file. This string pointer is guaranteed to be valid until the next call to pgFilePicker() See also: pgfilter, PG_FILEOPEN, PG_FILESAVE

## Variable Documentation

char filepicker_buf[FILEMAX]

char filepicker_dir[FILEMAX]